> ## Documentation Index
> Fetch the complete documentation index at: https://syteca.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get secret credentials

> Retrieves the credentials (password/private key) for a specific secret



## OpenAPI

````yaml /api-specs/acb-secrets.yaml get /api/secrets/{id}/password
openapi: 3.0.3
info:
  title: Application Credentials Broker API
  description: >-
    API for managing secrets and folders in the Application Credentials Broker
    system
  version: 1.4.0
  contact:
    name: API Support
    email: support@example.com
servers:
  - url: https://your-syteca-host/SytecaACB
    description: On-premises Syteca ACB service (v1.2 or later)
    variables:
      hostname:
        default: your-syteca-host.example.com
        description: Your Syteca Application Server hostname
  - url: https://your-syteca-host/EkranACB
    description: Legacy URL prefix for ACB deployments updated from pre-v1.2
    variables:
      hostname:
        default: your-syteca-host.example.com
        description: Your Syteca Application Server hostname
security:
  - AccessTokenAuth: []
paths:
  /api/secrets/{id}/password:
    get:
      tags:
        - Secrets
      summary: Get secret credentials
      description: Retrieves the credentials (password/private key) for a specific secret
      operationId: getSecretCredentials
      parameters:
        - name: id
          in: path
          required: true
          description: The ID of the secret to retrieve credentials for
          schema:
            type: integer
            format: int32
            minimum: 1
      responses:
        '200':
          description: Secret credentials retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecretResponseDto'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Secret not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    SecretResponseDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
          description: Unique identifier of the secret
        name:
          type: string
          description: Name of the secret
        type:
          $ref: '#/components/schemas/SecretType'
        description:
          type: string
          description: Description of the secret
        password:
          type: string
          description: The password value
        ssh_key:
          $ref: '#/components/schemas/SshKey'
        domain:
          type: string
          description: Domain for AD accounts
        computer_name:
          type: string
          description: Computer name for Windows/Unix accounts
        url:
          type: string
          description: URL for web accounts
        server:
          type: string
          description: Server for database accounts
        login:
          type: string
          description: Login username
      required:
        - id
        - name
        - type
        - login
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        message:
          type: string
          description: Error message
      required:
        - status
        - message
    SecretType:
      type: string
      enum:
        - None
        - UnixAccountSSH
        - UnixAccountTelnet
        - WindowsAccount
        - ADAccount
        - WebAccount
        - MSSQLAccount
      description: Type of secret
    SshKey:
      type: object
      properties:
        private_key:
          type: string
          description: SSH private key
        pass_phrase:
          type: string
          description: Passphrase for the private key
      required:
        - private_key
  securitySchemes:
    AccessTokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Access token for authentication

````